CSL 5.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes
csl::CSL_MIDIMessage Class Reference

CSL_MIDIMessage. More...

`#include <MIDIIOP.h>`

List of all members.

## Public Member Functions
| CSL_MIDIMessage ()

## Public Attributes
CSL_MIDIMessageType | message
unsigned | channel
unsigned | data1
unsigned | data2
long | time

## Detailed Description

CSL_MIDIMessage.

Definition at line 62 of file MIDIIOP.h.

## Constructor & Destructor Documentation

CSL_MIDIMessage::CSL_MIDIMessage | ( |  | ) |

Definition at line 18 of file MIDIIOP.cpp.

## Member Data Documentation

CSL_MIDIMessageType csl::CSL_MIDIMessage::message

Definition at line 65 of file MIDIIOP.h.

Referenced by csl::copy_CSL_MIDIMessage(), csl::CSL_MIDIMessageToPmEvent(), csl::MIDIIn::dump_CSL_MIDIMessage(), csl::MIDIIn::dumpMessage(), csl::MIDIIn::handleIncomingMidiMessage(), csl::MIDIIn::is_Aftertouch_received(), csl::MIDIIn::is_ControlChange_received(), csl::MIDIIn::is_NoteOff_received(), csl::MIDIIn::is_NoteOn_received(), csl::MIDIIn::is_PitchWheel_received(), csl::MIDIIn::is_PolyTouch_received(), csl::MIDIIn::is_ProgramChange_received(), csl::MIDIIn::is_SysEX_received(), csl::MIDIIn::nextEvent(), csl::PmEventToCSL_MIDIMessage(), csl::MIDIIn::poll(), csl::MIDIIn::read_interpret(), and csl::MIDIOut::write_short().

unsigned csl::CSL_MIDIMessage::channel

Definition at line 66 of file MIDIIOP.h.

Referenced by csl::copy_CSL_MIDIMessage(), csl::CSL_MIDIMessageToPmEvent(), csl::MIDIIn::dump_CSL_MIDIMessage(), csl::MIDIIn::dumpMessage(), csl::PmEventToCSL_MIDIMessage(), csl::MIDIIn::read_interpret(), and csl::MIDIOut::write_short().

unsigned csl::CSL_MIDIMessage::data1

Definition at line 67 of file MIDIIOP.h.

Referenced by csl::copy_CSL_MIDIMessage(), csl::CSL_MIDIMessageToPmEvent(), csl::MIDIIn::dump_CSL_MIDIMessage(), csl::MIDIIn::dumpMessage(), csl::MIDIIn::get_Aftertouch(), csl::MIDIIn::get_ControlChange_function(), csl::MIDIIn::get_frequency(), csl::MIDIIn::get_note(), csl::MIDIIn::get_PitchWheel(), csl::MIDIIn::get_ProgramNumber(), csl::PmEventToCSL_MIDIMessage(), csl::MIDIIn::read_interpret(), and csl::MIDIOut::write_short().

unsigned csl::CSL_MIDIMessage::data2

Definition at line 68 of file MIDIIOP.h.

Referenced by csl::copy_CSL_MIDIMessage(), csl::CSL_MIDIMessageToPmEvent(), csl::MIDIIn::dump_CSL_MIDIMessage(), csl::MIDIIn::dumpMessage(), csl::MIDIIn::get_ControlChange_value(), csl::MIDIIn::get_PitchWheel(), csl::MIDIIn::get_PolyAftertouch(), csl::MIDIIn::get_velocity(), csl::MIDIIn::get_velocity_float(), csl::PmEventToCSL_MIDIMessage(), csl::MIDIIn::read_interpret(), and csl::MIDIOut::write_short().

long csl::CSL_MIDIMessage::time

Definition at line 69 of file MIDIIOP.h.

Referenced by csl::copy_CSL_MIDIMessage(), csl::CSL_MIDIMessageToPmEvent(), csl::MIDIIn::dump_CSL_MIDIMessage(), csl::MIDIIn::dumpMessage(), csl::MIDIIn::handleIncomingMidiMessage(), csl::PmEventToCSL_MIDIMessage(), and csl::MIDIOut::write_short().

The documentation for this class was generated from the following files:

- CSL/IO/MIDIIOP.h
- CSL/IO/MIDIIOP.cpp